function SelectClusterSeparationFeatures()

	
	global MClust_ClusterSeparationFeatures MClust_Directory
	featuresToUse = MClust_ClusterSeparationFeatures;
	
	ClusterSeparationFigure = figure('Name','Cluster Separation','Tag','ClusterSeparation','Units', 'Normalized');
	%-------------------------------
	% Alignment variables
	
	uicHeight = 0.04;
	uicWidth  = 0.25;
	dX = 0.3;
	XLocs = 0.1:dX:0.9;
	dY = 0.04;
	YLocs = 0.9:-dY:0.1;
	FrameBorder = 0.01;

	% Create Feature Listboxes
	uicontrol('Parent', ClusterSeparationFigure,...
		'Style', 'text', 'String', 'FEATURES', 'Units', 'Normalized', 'Position', [XLocs(1) YLocs(1) 2*uicWidth uicHeight]);
	uicontrol('Parent', ClusterSeparationFigure,...
		'Style', 'text', 'String', 'available', 'Units', 'Normalized', 'Position', [XLocs(1) YLocs(2) uicWidth uicHeight]);
	ui_featuresIgnoreLB =  uicontrol('Parent', ClusterSeparationFigure,...
		'Units', 'Normalized', 'Position', [XLocs(1) YLocs(14) uicWidth 12*uicHeight],...
		'Style', 'listbox', 'Tag', 'FeaturesIgnoreListbox',...
		'Callback', 'MClustCallbacks',...
		'HorizontalAlignment', 'right', ...
		'Enable','on', ...
		'TooltipString', 'These are features which are not included but are also available.');
	uicontrol('Parent',ClusterSeparationFigure,...
		'Style', 'text', 'String', 'used', 'Units', 'Normalized', 'Position', [XLocs(1)+uicWidth YLocs(2) uicWidth uicHeight]);
	ui_featuresUseLB = uicontrol('Parent', ClusterSeparationFigure,...
		'Units', 'Normalized', 'Position', [XLocs(1)+uicWidth YLocs(14) uicWidth 12*uicHeight],...
		'Style', 'listbox', 'Tag', 'FeaturesUseListbox',...
		'Callback', 'MClustCallbacks',...
		'HorizontalAlignment', 'right', ...
		'Enable','on', ...
		'TooltipString', 'These features will be used for cluster separation.');
	set(ui_featuresIgnoreLB, 'UserData', ui_featuresUseLB);
	set(ui_featuresUseLB,    'UserData', ui_featuresIgnoreLB);
	
	% Locate and load the names of feature files
	featureFiles =  sortcell(FindFiles('feature_*.m', ...
		'StartingDirectory', fullfile(MClust_Directory, 'Features') ,'CheckSubdirs', 0));
	featureIgnoreString = {};
	featureUseString = {};
	for iF = 1:length(featureFiles)
		[dummy, featureFiles{iF}] = fileparts(featureFiles{iF});
		featureFiles{iF} = featureFiles{iF}(9:end); % cut "feature_" off front for display
		if any(strcmp(featureFiles{iF}, featuresToUse))
			featureUseString = cat(1, featureUseString, featureFiles(iF));
		else
			featureIgnoreString = cat(1, featureIgnoreString, featureFiles(iF));
		end
	end
	set(ui_featuresIgnoreLB, 'String', featureIgnoreString);
	set(ui_featuresUseLB, 'String', featureUseString);
	%if ~isempty(ui_featuresUseLB)
	% set(ui_ChooseFeaturesButton, 'Value', 1);
	%end

	uicontrol('Parent',ClusterSeparationFigure, ...
		'Units', 'Normalized', 'Position', [XLocs(1) YLocs(18) uicWidth uicHeight*2], ...
		'Style', 'pushbutton','Tag', 'AcceptFeatures', 'String', 'Accept features', 'Callback', 'GeneralizedCutterCallbacks', ...
		'TooltipString', 'Accept features to use for the cluster separation measure');
	uicontrol('Parent',ClusterSeparationFigure, ...
		'Units', 'Normalized', 'Position', [XLocs(1) YLocs(20) uicWidth uicHeight*2], ...
		'Style', 'pushbutton', 'String', 'Cancel', 'Callback', 'close', ...
		'TooltipString', 'Close this window without making changes to cluster separation features');
